Package io.dapr.v1

# Class CommonProtos.StreamPayload

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
io.dapr.v1.CommonProtos.StreamPayload

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `CommonProtos.StreamPayloadOrBuilder`, `Serializable`

Enclosing class:
  CommonProtos

public static final class CommonProtos.StreamPayload extends com.google.protobuf.GeneratedMessageV3 implements CommonProtos.StreamPayloadOrBuilder

     Chunk of data sent in a streaming request or response.
     This is used in requests including InternalInvokeRequestStream.

Protobuf type `dapr.proto.common.v1.StreamPayload`

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `CommonProtos.StreamPayload.Builder`
  Chunk of data sent in a streaming request or response.

  ## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

  `com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

  ## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

  `com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DATA_FIELD_NUMBER`
  `static final int`
  `SEQ_FIELD_NUMBER`

  ### Fields inherited from class com.google.protobuf.GeneratedMessageV3

  `alwaysUseFieldBuilders, unknownFields`

  ### Fields inherited from class com.google.protobuf.AbstractMessage

  `memoizedSize`

  ### Fields inherited from class com.google.protobuf.AbstractMessageLite

  `memoizedHashCode`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `com.google.protobuf.ByteString`
  `getData()`
  Data sent in the chunk.
  `static CommonProtos.StreamPayload`
  `getDefaultInstance()`
  `CommonProtos.StreamPayload`
  `getDefaultInstanceForType()`
  `static final com.google.protobuf.Descriptors.Descriptor`
  `getDescriptor()`
  `com.google.protobuf.Parser<CommonProtos.StreamPayload>`
  `getParserForType()`
  `long`
  `getSeq()`
  Sequence number.
  `int`
  `getSerializedSize()`
  `int`
  `hashCode()`
  `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
  `internalGetFieldAccessorTable()`
  `final boolean`
  `isInitialized()`
  `static CommonProtos.StreamPayload.Builder`
  `newBuilder()`
  `static CommonProtos.StreamPayload.Builder`
  `newBuilder(CommonProtos.StreamPayload prototype)`
  `CommonProtos.StreamPayload.Builder`
  `newBuilderForType()`
  `protected CommonProtos.StreamPayload.Builder`
  `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
  `protected Object`
  `newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
  `static CommonProtos.StreamPayload`
  `parseDelimitedFrom(InputStream input)`
  `static CommonProtos.StreamPayload`
  `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static CommonProtos.StreamPayload`
  `parseFrom(byte[] data)`
  `static CommonProtos.StreamPayload`
  `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static CommonProtos.StreamPayload`
  `parseFrom(com.google.protobuf.ByteString data)`
  `static CommonProtos.StreamPayload`
  `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static CommonProtos.StreamPayload`
  `parseFrom(com.google.protobuf.CodedInputStream input)`
  `static CommonProtos.StreamPayload`
  `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static CommonProtos.StreamPayload`
  `parseFrom(InputStream input)`
  `static CommonProtos.StreamPayload`
  `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static CommonProtos.StreamPayload`
  `parseFrom(ByteBuffer data)`
  `static CommonProtos.StreamPayload`
  `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
  `static com.google.protobuf.Parser<CommonProtos.StreamPayload>`
  `parser()`
  `CommonProtos.StreamPayload.Builder`
  `toBuilder()`
  `void`
  `writeTo(com.google.protobuf.CodedOutputStream output)`

  ### Methods inherited from class com.google.protobuf.GeneratedMessageV3

  `canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

  ### Methods inherited from class com.google.protobuf.AbstractMessage

  `findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

  ### Methods inherited from class com.google.protobuf.AbstractMessageLite

  `addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.google.protobuf.MessageLite

  `toByteArray, toByteString, writeDelimitedTo, writeTo`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Field Details

  - ### DATA_FIELD_NUMBER

    public static final int DATA_FIELD_NUMBER
    See Also:
      - Constant Field Values

  - ### SEQ_FIELD_NUMBER

    public static final int SEQ_FIELD_NUMBER
    See Also:
      - Constant Field Values

- ## Method Details

  - ### newInstance

    protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)
    Overrides:
      `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

  - ### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
    Specified by:
      `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getData

    public com.google.protobuf.ByteString getData()

         Data sent in the chunk.
         The amount of data included in each chunk is up to the discretion of the sender, and can be empty.
         Additionally, the amount of data doesn't need to be fixed and subsequent messages can send more, or less, data.
         Receivers must not make assumptions about the number of bytes they'll receive in each chunk.

    `bytes data = 1;`
    Specified by:
      `getData` in interface `CommonProtos.StreamPayloadOrBuilder`
    Returns:
      The data.

  - ### getSeq

    public long getSeq()

         Sequence number. This is a counter that starts from 0 and increments by 1 on each chunk sent.

    `uint64 seq = 2;`
    Specified by:
      `getSeq` in interface `CommonProtos.StreamPayloadOrBuilder`
    Returns:
      The seq.

  - ### isInitialized

    public final boolean isInitialized()
    Specified by:
      `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Overrides:
      `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

  - ### writeTo

    public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException
    Specified by:
      `writeTo` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
    Throws:
      `IOException`

  - ### getSerializedSize

    public int getSerializedSize()
    Specified by:
      `getSerializedSize` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

  - ### equals

    public boolean equals(Object obj)
    Specified by:
      `equals` in interface `com.google.protobuf.Message`
    Overrides:
      `equals` in class `com.google.protobuf.AbstractMessage`

  - ### hashCode

    public int hashCode()
    Specified by:
      `hashCode` in interface `com.google.protobuf.Message`
    Overrides:
      `hashCode` in class `com.google.protobuf.AbstractMessage`

  - ### parseFrom

    public static CommonProtos.StreamPayload parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.StreamPayload parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.StreamPayload parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.StreamPayload parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.StreamPayload parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.StreamPayload parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException
    Throws:
      `com.google.protobuf.InvalidProtocolBufferException`

  - ### parseFrom

    public static CommonProtos.StreamPayload parseFrom(InputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static CommonProtos.StreamPayload parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### parseDelimitedFrom

    public static CommonProtos.StreamPayload parseDelimitedFrom(InputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseDelimitedFrom

    public static CommonProtos.StreamPayload parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static CommonProtos.StreamPayload parseFrom(com.google.protobuf.CodedInputStream input) throws IOException
    Throws:
      `IOException`

  - ### parseFrom

    public static CommonProtos.StreamPayload parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException
    Throws:
      `IOException`

  - ### newBuilderForType

    public CommonProtos.StreamPayload.Builder newBuilderForType()
    Specified by:
      `newBuilderForType` in interface `com.google.protobuf.Message`
    Specified by:
      `newBuilderForType` in interface `com.google.protobuf.MessageLite`

  - ### newBuilder

    public static CommonProtos.StreamPayload.Builder newBuilder()

  - ### newBuilder

    public static CommonProtos.StreamPayload.Builder newBuilder(CommonProtos.StreamPayload prototype)

  - ### toBuilder

    public CommonProtos.StreamPayload.Builder toBuilder()
    Specified by:
      `toBuilder` in interface `com.google.protobuf.Message`
    Specified by:
      `toBuilder` in interface `com.google.protobuf.MessageLite`

  - ### newBuilderForType

    protected CommonProtos.StreamPayload.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)
    Specified by:
      `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getDefaultInstance

    public static CommonProtos.StreamPayload getDefaultInstance()

  - ### parser

    public static com.google.protobuf.Parser<CommonProtos.StreamPayload> parser()

  - ### getParserForType

    public com.google.protobuf.Parser<CommonProtos.StreamPayload> getParserForType()
    Specified by:
      `getParserForType` in interface `com.google.protobuf.Message`
    Specified by:
      `getParserForType` in interface `com.google.protobuf.MessageLite`
    Overrides:
      `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

  - ### getDefaultInstanceForType

    public CommonProtos.StreamPayload getDefaultInstanceForType()
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
    Specified by:
      `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`